## org.apache.commons.math3.optim.nonlinear.scalar.noderiv
Class CMAESOptimizer.PopulationSize

    java.lang.Object
      org.apache.commons.math3.optim.nonlinear.scalar.noderiv.CMAESOptimizer.PopulationSize

All Implemented Interfaces:
  OptimizationData

Enclosing class:
  CMAESOptimizer

    public static class CMAESOptimizer.PopulationSize

extends java.lang.Object
implements OptimizationData

Population size. The number of offspring is the primary strategy parameter. In the absence of better clues, a good default could be an integer close to `4 + 3 ln(n)`, where `n` is the number of optimized parameters. Increasing the population size improves global search properties at the expense of speed (which in general decreases at most linearly with increasing population size).

Field Summary
`private int` `lambda` Population size.

Constructor Summary
`CMAESOptimizer.PopulationSize(int size)`

Method Summary
`int` `getPopulationSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lambda

    private final int lambda

  Population size.

Constructor Detail

### CMAESOptimizer.PopulationSize

    public CMAESOptimizer.PopulationSize(int size)
                                  throws NotStrictlyPositiveException

Parameters:
  `size` - Population size.
Throws:
  `NotStrictlyPositiveException` - if `size <= 0`.

Method Detail

### getPopulationSize

    public int getPopulationSize()

  Returns:
    the population size.

Copyright (c) 2003-2013 Apache Software Foundation